## GimpColorManaged GimpColorManaged — An interface dealing with color profiles. |

## Functions

const guint8 * | gimp_color_managed_get_icc_profile ()
GimpColorProfile * | gimp_color_managed_get_color_profile ()
void | gimp_color_managed_profile_changed ()

## Signals

void | profile-changed | Run First

## Types and Values

| GimpColorManaged
struct | GimpColorManagedInterface

## Object Hierarchy

        GInterface
        ╰── GimpColorManaged

## Prerequisites

GimpColorManaged requires GObject.

## Description

An interface dealing with color profiles.

## Functions

### gimp_color_managed_get_icc_profile ()

    const guint8 *
    gimp_color_managed_get_icc_profile (GimpColorManaged *managed,
                                        gsize *len);

#### Parameters

managed | an object the implements the GimpColorManaged interface |
len | return location for the number of bytes in the profile data |

#### Returns

A pointer to a blob of data that represents an ICC color profile.

Since: 2.4

### gimp_color_managed_get_color_profile ()

    GimpColorProfile *
    gimp_color_managed_get_color_profile (GimpColorManaged *managed);

This function always returns a GimpColorProfile and falls back to `gimp_color_profile_new_rgb_srgb()` if the method is not implemented.

#### Parameters

managed | an object the implements the GimpColorManaged interface |

#### Returns

The `managed` 's GimpColorProfile.

Since: 2.10

### gimp_color_managed_profile_changed ()

    void
    gimp_color_managed_profile_changed (GimpColorManaged *managed);

Emits the "profile-changed" signal.

#### Parameters

managed | an object the implements the GimpColorManaged interface |

Since: 2.4

## Types and Values

### GimpColorManaged

    typedef struct _GimpColorManaged GimpColorManaged;

### struct GimpColorManagedInterface

    struct GimpColorManagedInterface {
      GTypeInterface  base_iface;

      /*  virtual functions  */
      const guint8     * (* get_icc_profile)   (GimpColorManaged *managed,
                                                gsize            *len);

      /*  signals  */
      void               (* profile_changed)   (GimpColorManaged *managed);

      /*  virtual functions  */
      GimpColorProfile * (* get_color_profile) (GimpColorManaged *managed);
    };

#### Members

GTypeInterface `base_iface`; | The parent interface |
`get_icc_profile` () | Returns the ICC profile of the pixels managed by the object |
`profile_changed` () | This signal is emitted when the object's color profile has changed |
`get_color_profile` () | Returns the GimpColorProfile of the pixels managed by the object |

## Signal Details

### The `“profile-changed”` signal

    void
    user_function (GimpColorManaged *gimpcolormanaged,
                   gpointer          user_data)

Flags: Run First